Subject: Re: [Mud] Side meeting at the IETF Montreal - call for agenda items

From: "M. Ranganathan" <[email-masked]>
Date: Mon, 1 Jul 2019 07:51:50 -0400

The following draft looks interesting:

https://tools.ietf.org/html/draft-lear-opsawg-mud-bw-profile-00

Are there any plans for follow-on work?

(I'd like to bring it up for discussion during the side meeting ).

Regards

On Sun, Jun 30, 2019 at 12:49 PM Michael Richardson <[email-masked]>
wrote:

>
> Eliot Lear <[email-masked]> wrote:
>     > A number of people have contacted me about meeting in Montreal, and
>     > that they wouldn’t be available after Tuesday.  Conveniently, Monday
>     > morning is reserved for side meetings.  I propose we take advantage
> of
>     > this from 9:00 - 10:30 (yes, this bleeds into the 1st session).
>
> It bleeds into teep, and I'm curious about the loops BOF, so I probably
> take
> off at the appointed time.
>
>     > I’ve combined MUD and IoT Onboarding, just to save time, as there is
>     > substantial community overlap.  That’s because the spaces are clearly
>     > related, one being authentication of the device the other being
> network
>     > authorization.
>
> Agreed.
>
>     > This, then, is a call for agenda items.  I have a few of my own, but
>     > would prefer to hear from others first.  Also, are you ok with the
>     > Monday morning time slot and keeping these activities together?
>
>     > Ps: reminder: side meetings are not “official” anything.  Just a
>     > gathering of people with a common interest.  However, the meeting
> will
>     > run under the IPR rules of the IETF, regardless.  All are invited.
>
> So, I'm not sure if you are asking for BRSKI items, or IoT onboarding
> items in general.
>
> 1) Under BRSKI for non-ANIMA ACP uses, there is the question about
> open/closed
>    registrars, and operational considerations of total sales channel
> integration
>    (MASA knows the customers), vs retail integration (no knowledge of
>    customers).  There are probably areas of grey in between that might be
>    worth enumerating.
>
> 2) There is a similar question for MUD, which is how does the MUD
> controller
>    arrive at trust criteria for the signatures.  This is the
>    enterprise/customer side of the above story: do you know who you are
>    buying from?
>    This relates to the discussion we have had about controllers: I think if
>    we could pin down the quality of the signatures, we could say more.
>
> 3) MUD Operational considerations for devices that can grow "skills"
>
> Not really a topic exactly: but how do we get towards the point where we
> can test
> MUD/BRSKI integration.
>
> --
> Michael Richardson <[email-masked]>, Sandelman Software Works
>  -= IPv6 IoT consulting =-
> --
> Mud mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mud
>

-- 
M. Ranganathan

---

From: Eliot Lear <[email-masked]>
Date: Tue, 9 Jul 2019 23:04:11 +0200

Good conversation to have in Montreal.

> On 30 Jun 2019, at 18:49, Michael Richardson <[email-masked]> wrote:
> 
> Signed PGP part
> 
>> morning is reserved for side meetings.  I propose we take advantage of
> It bleeds into teep, and I'm curious about the loops BOF, so I probably take
>> related, one being authentication of the device the other being network
>> authorization.
> 
> Agreed.
> 
>> gathering of people with a common interest.  However, the meeting will
> So, I'm not sure if you are asking for BRSKI items, or IoT onboarding items in general.
> 
> 1) Under BRSKI for non-ANIMA ACP uses, there is the question about open/closed
>   registrars, and operational considerations of total sales channel integration
> 2) There is a similar question for MUD, which is how does the MUD controller
> Not really a topic exactly: but how do we get towards the point where we can test
> MUD/BRSKI integration.
> 
> --